// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "Data",
    platforms: [
        .iOS(.v10)
    ],
    products: [
        .library(
            name: "ChecklistData",
            targets: ["ChecklistData"]),
        .library(
            name: "CMSData",
            targets: ["CMSData"]),
        .library(
            name: "ConfigurationData",
            targets: ["ConfigurationData"]),
        .library(
            name: "ErrorData",
            targets: ["ErrorData"]),
        .library(
            name: "LexiconData",
            targets: ["LexiconData"]),
        .library(
            name: "MaternityData",
            targets: ["MaternityData"]),
    ],
    dependencies: [ ],
    targets: [
        .target(
            name: "ChecklistData",
            dependencies: [],
            path: "Sources/Checklist"
        ),
        .target(
            name: "CMSData",
            dependencies: [],
            path: "Sources/CMS"
        ),
        .target(
            name: "ConfigurationData",
            dependencies: [],
            path: "Sources/Configuration"
        ),
        .target(
            name: "ErrorData",
            dependencies: [],
            path: "Sources/Errors"
        ),
        .target(
            name: "LexiconData",
            dependencies: [],
            path: "Sources/Lexicon"
        ),
        .target(
            name: "MaternityData",
            dependencies: [],
            path: "Sources/Maternity"
        ),

        // MARK: - Tests
        .testTarget(
            name: "ChecklistDataTests",
            dependencies: ["ChecklistData"],
            path: "Tests/ChecklistTests"
        ),
        .testTarget(
            name: "ConfigurationDataTests",
            dependencies: ["ConfigurationData"],
            path: "Tests/ConfigurationTests"
        ),
        .testTarget(
            name: "CMSDataTests",
            dependencies: ["CMSData"],
            path: "Tests/CMSTests"
        ),
        .testTarget(
            name: "ErrorDataTests",
            dependencies: ["ErrorData"],
            path: "Tests/ErrorTests"
        ),
        .testTarget(
            name: "LexiconDataTests",
            dependencies: ["LexiconData"],
            path: "Tests/LexiconTests"
        ),
        .testTarget(
            name: "MaternityDataTests",
            dependencies: ["MaternityData"],
            path: "Tests/MaternityTests"
        ),
    ]
)
