// The MIT License
//
// Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
//
// Copyright (C) 2020 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to
// use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
// of the Software, and to permit persons to whom the Software is furnished to do
// so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

public struct Mother: Decodable {
    public let jobType: String?
    public let hoursOfWorkPerWeek: BodyMeasureValue?
    public let exposureToWorkEnvironmentRisk: WorkEnvironmentalImpact?
    public let referredToOccupationalHealthDepartmentForRiskAssessment: Bool?
    public let prenatalSickLeave: PrenatalSickLeave?

    public init(
        jobType: String?,
        hoursOfWorkPerWeek: BodyMeasureValue?,
        exposureToWorkEnvironmentRisk: WorkEnvironmentalImpact?,
        referredToOccupationalHealthDepartmentForRiskAssessment: Bool?,
        prenatalSickLeave: PrenatalSickLeave?) {
        self.jobType = jobType
        self.hoursOfWorkPerWeek = hoursOfWorkPerWeek
        self.exposureToWorkEnvironmentRisk = exposureToWorkEnvironmentRisk
        self.referredToOccupationalHealthDepartmentForRiskAssessment = referredToOccupationalHealthDepartmentForRiskAssessment
        self.prenatalSickLeave = prenatalSickLeave
    }
}
