// The MIT License
//
// Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
//
// Copyright (C) 2020 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to
// use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
// of the Software, and to permit persons to whom the Software is furnished to do
// so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

import Foundation

public struct Observation: Codable, Identifiable {
    public let id: UUID
    public let dateOfMeasurement: Date
    public let values: [ObservationValue]
    public let measuredBy: String
    public let enteredBy: String
    public let completed: Bool
    public let fetus: String
    public let type: ObservationType


    public init(id: UUID,
                dateOfMeasurement: Date,
                values: [ObservationValue],
                measuredBy: String,
                enteredBy: String,
                completed: Bool,
                fetus: String,
                type: ObservationType) {
        self.id = id
        self.dateOfMeasurement = dateOfMeasurement
        self.values = values
        self.measuredBy = measuredBy
        self.enteredBy = enteredBy
        self.completed = completed
        self.fetus = fetus
        self.type = type
    }
}
